//
//  XTHtmlTagTr.m
//  XTads
//
//  Created by Rune Berg on 10/07/15.
//  Copyright (c) 2015 Rune Berg. All rights reserved.
//

#import "XTHtmlTagTr.h"


@implementation XTHtmlTagTr

+ (NSString *)name
{
	return @"tr";
}

+ (NSArray *)allowedAttributes
{
	return @[];
}

+ (BOOL)standalone
{
	return NO;
}

+ (BOOL)blockLevel
{
	return YES;
}

+ (BOOL)blockLevelSpacing
{
	return NO;
}

- (NSArray *)dispatchToFormatter:(NSObject<XTOutputFormatterProtocol> *)formatter
{
	return [formatter handleHtmlTagTr:self];
}

@end
